﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.SharePoint;

namespace SharePointApplication
{
    static public class Demo
    {

        public static void UpdateNoDialogNew(this SPWeb Web, string Filter)
        {
            Web.UpdateNoDialog(Filter);
        }
        public static void UpdateNoDialog(this SPWeb Web, string Filter)
        {
            var Lists = new List<SPList>();

            if (!String.IsNullOrEmpty(Filter))
            {
                Lists = Web.Lists.Cast<SPList>()
                          .Where(x => x.Title.ToLower().IndexOf(Filter.ToLower(), System.StringComparison.Ordinal) != -1)
                          .ToList();
            }

            Lists.ForEach(x =>
            {
                x.NavigateForFormsPages = true;
                x.Update();
            });
        }
    }
}
