﻿using System;
using System.ComponentModel;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;


namespace SharePointApplication.DemoWebPart
{
    [ToolboxItemAttribute(false)]
    public partial class DemoWebPart : WebPart
    {
        // Раскомментируйте следующий атрибут SecurityPermission только при профилировании производительности в решении фермы
        // с использованием метода инструментирования, после чего удалите атрибут SecurityPermission, когда код будет готов
        // к работе. Поскольку атрибут SecurityPermission позволяет обойти проверку безопасности для объектов, вызывающих
        // ваш конструктор, не рекомендуется использовать его в рабочей среде.
        // [System.Security.Permissions.SecurityPermission(System.Security.Permissions.SecurityAction.Assert, UnmanagedCode = true)]
        public DemoWebPart()
        {
        }

        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
            InitializeControl();
        }

        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected void ExecuteButton_OnClick(object sender, EventArgs e)
        {
            try
            {
                SPContext.Current.Web.UpdateNoDialog(FilterBox.Text);
                ResultLabel.Text = DateTime.Now.ToString()+" Завершено!";
                ResultLabel.Visible = true;
                ResultLabel.ForeColor = System.Drawing.Color.Green;
            }
            catch (Exception Error)
            {
                //Тут мы еще должны записать ошибку в лог.

                ResultLabel.Text = DateTime.Now.ToString() + " Произошла ошибка! " + Error.Message;
                ResultLabel.Visible = true;
                ResultLabel.ForeColor = System.Drawing.Color.Red;                
            }
        }

    }
}
